<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0" 
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:annotation>
    <xs:documentation >
      Route module data definition.
    </xs:documentation>
  </xs:annotation>
  <xs:element name="Route">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded" minOccurs="0">
        <xs:element name="Ipv4Routes" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv4 route table.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="RouteEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv4Routes table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv4" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="Ipv4Address"  minOccurs="0"  type="base:Ipv4Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination IPv4 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Ipv4PrefixLength"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Length of the destination IPv4 address prefix.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedChar">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="32"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Nexthop"  minOccurs="0"  type="base:Ipv4Address" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Nexthop IPv4 address.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IfIndex"  minOccurs="0"  type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Protocol" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Routing protocol.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="ProtocolID"  minOccurs="0"  nillable="true">
                            <xs:annotation>
                              <xs:documentation>Routing protocol ID.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SubProtocolID"  minOccurs="0"  nillable="true">
                            <xs:annotation>
                              <xs:documentation>Routing sub-protocol ID.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProcessID"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process ID.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Age"  minOccurs="0"  type="base:UnsignedInteger32" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route alive time.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Preference"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route preference.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedChar">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="255"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Metric"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route metric.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Tag"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Tag</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Neighbor"  minOccurs="0"  type="base:Ipv4Address" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Neighbor ipv4 address.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ASNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Autonomy system.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="OriginAS"  minOccurs="1" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Original AS number.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="LastAS"  minOccurs="1" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Last AS number.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BackupPathAttribute" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Backup path attribute.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="BackupIfIndex"  minOccurs="1"  type="base:NameAndIndexUnion" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Backup interface index.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="BackupNexthop"  minOccurs="0"  type="base:Ipv4Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Backup nexthop IPv4 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ipv6Routes" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv6 route table.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="RouteEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv6Routes table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv6Prefix" minOccurs="0" nillable="true">
                      <xs:complexType >
                        <xs:all minOccurs="0">
                          <xs:element name="Ipv6Address"  minOccurs="0"  type="base:Ipv6Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination IPv6 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Ipv6PrefixLength"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Length of the destination IPv6 address prefix.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedChar">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="128"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Nexthop"  minOccurs="0"  type="base:Ipv6Address" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Nexthop IPv6 address.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IfIndex"  minOccurs="0"  type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Protocol" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Routing protocol.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="ProtocolID"  minOccurs="0"  nillable="true">
                            <xs:annotation>
                              <xs:documentation>Routing protocol ID.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="SubProtocolID"  minOccurs="0"  nillable="true">
                            <xs:annotation>
                              <xs:documentation>Routing sub-protocol ID.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="65535"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProcessID"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process ID.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Age"  minOccurs="0"  type="base:UnsignedInteger32" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route alive time.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Preference"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route preference.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedChar">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="255"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Metric"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route metric.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Tag"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Tag</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Neighbor"  minOccurs="0"  type="base:Ipv6Address" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Neighbor ipv6 address.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ASNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Autonomy system.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="OriginAS"  minOccurs="1" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Original AS number.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="LastAS"  minOccurs="1" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Last AS number.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BackupPathAttribute" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Backup path attribute.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="BackupIfIndex"  minOccurs="1"  type="base:NameAndIndexUnion" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Backup interface index.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="BackupNexthop"  minOccurs="0"  type="base:Ipv6Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Backup nexthop IPv6 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ipv4RouteStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv4 route statistic information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Statistics" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv4RouteStatistics table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProtocolID"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route protocol ID.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedChar">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="6"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TotalRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Total route number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>  
                    <xs:element name="ActiveRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Active route number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AddedRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Added routes number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DeletedRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Deleted routes number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>                  
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ipv6RouteStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv6 route statistic information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Statistics" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv6RouteStatistics table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ProtocolID"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Route protocol ID.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedChar">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="6"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="TotalRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Total route number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ActiveRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Active route number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AddedRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Added routes number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DeletedRoutes"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Deleted routes number.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ipv4RouteECMPNumbers" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv4 route ECMP numbers.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="RouteECMPNumber" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv4RouteECMPNumbers table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv4" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:all minOccurs="0">
                          <xs:element name="Ipv4Address"  minOccurs="0"  type="base:Ipv4Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination IPv4 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Ipv4PrefixLength"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Length of the destination IPv4 address prefix.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedChar">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="32"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ECMPNumber"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Number of ECMP Nexthops.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ipv6RouteECMPNumbers" minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv6 route ECMP numbers.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="RouteECMPNumber" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name of Ipv6RouteECMPNumbers table.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          VRF name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Topology" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Topology name, a case-sensitive string of 1 to 31 characters.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv6Prefix" minOccurs="0" nillable="true">
                      <xs:complexType >
                        <xs:all minOccurs="0">
                          <xs:element name="Ipv6Address"  minOccurs="0"  type="base:Ipv6Address" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination IPv6 address.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Ipv6PrefixLength"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Length of the destination IPv6 address prefix.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedChar">
                                  <xs:minInclusive value="0"></xs:minInclusive>
                                  <xs:maxInclusive value="128"></xs:maxInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ECMPNumber"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Number of ECMP Nexthops.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
